---
title: Get information about coupon codes
slug: campaign/api/get-information-about-coupon-codes
docTags: 
createdAt: 2026-09-02T15:04:15.718Z
---

{
  "id": "e3Hp0h8WYk_PrEuvpLBNi",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.campaign.episerver.net/rest/{clientId}/couponblocks/{couponBlockId}/codes",
    "servers": [
      {
        "url": "https://api.campaign.episerver.net/rest/{clientId}/couponblocks/{couponBlockId}/codes"
      }
    ],
    "name": "Get information about coupon codes",
    "description": "<p>Get detailed information about all unassigned coupon codes. You can limit the maximum number of retrieved coupon codes and sort the result by specific criteria. To get information about all assigned and/or used coupon codes, filter by recipient ID or mailing ID.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "clientId",
          "type": "integer<int64>",
          "description": "Client ID",
          "format": "int64"
        },
        {
          "kind": "required",
          "name": "couponBlockId",
          "type": "integer<int64>",
          "description": "Coupon block ID",
          "format": "int64"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "application/vnd.optivo.broadmail.v1+json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "offset",
          "type": "integer<int32>",
          "description": "<p>Starting point of the result list Default value : 0</p>",
          "format": "int32"
        },
        {
          "kind": "optional",
          "name": "limit",
          "type": "integer<int32>",
          "description": "<p>Maximum number of retrieved coupon codes Default value : 100</p>",
          "format": "int32"
        },
        {
          "kind": "optional",
          "name": "codeAssignment",
          "type": "string",
          "description": "<p>The status of the coupon codes to be filtered. Possible values are: assigned, unassigned, all</p>",
          "enum": [
            "ASSIGNED",
            "UNASSIGNED",
            "ALL"
          ]
        },
        {
          "kind": "optional",
          "name": "mailingId",
          "type": "integer<int64>",
          "description": "Mailing IDs to which the coupon codes are assigned",
          "format": "int64"
        },
        {
          "kind": "optional",
          "name": "recipientId",
          "type": "string",
          "description": "Recipient IDs to which the coupon codes are assigned"
        },
        {
          "kind": "optional",
          "name": "sort",
          "type": "string",
          "description": "Sort result by specific criteria",
          "enum": [
            "CODE"
          ]
        },
        {
          "kind": "optional",
          "name": "direction",
          "type": "string",
          "description": "Sort order",
          "enum": [
            "ASC",
            "DESC"
          ]
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Authorization",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>The coupon codes were retrieved successfully (empty result if none was found).</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "RestCouponCodeStreamingCollection",
            "schema": [
              {
                "name": "elements",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/RestCouponCode",
                "customType": "RestCouponCode[]",
                "schema": [
                  {
                    "name": "code",
                    "kind": "optional",
                    "type": "string",
                    "description": "Coupon code"
                  },
                  {
                    "name": "assignedMailing",
                    "kind": "optional",
                    "type": "integer<int64>",
                    "description": "Mailing assigned to the coupon code",
                    "format": "int64"
                  },
                  {
                    "name": "assignedRecipient",
                    "kind": "optional",
                    "type": "string",
                    "description": "Recipient assigned to the coupon code"
                  },
                  {
                    "name": "assigned",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "<p>If true, the code of the coupon block is assigned to a mailing</p>"
                  },
                  {
                    "name": "used",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "<p>If true, the code of the coupon block was used</p>"
                  },
                  {
                    "name": "created",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "description": "Creation date",
                    "format": "date-time"
                  },
                  {
                    "name": "modified",
                    "kind": "optional",
                    "type": "string<date-time>",
                    "description": "Modification date",
                    "format": "date-time"
                  },
                  {
                    "name": "links",
                    "kind": "optional",
                    "type": "array",
                    "description": "Restful links",
                    "example": "",
                    "itemType": "object",
                    "customType": "object[]",
                    "schema": [
                      {
                        "name": "uriBuilder",
                        "kind": "optional",
                        "type": "object",
                        "description": "",
                        "example": "",
                        "schema": []
                      },
                      {
                        "name": "rels",
                        "kind": "optional",
                        "type": "array",
                        "description": "",
                        "example": "",
                        "itemType": "string",
                        "customType": "string[]",
                        "itemExample": "",
                        "itemDefault": ""
                      },
                      {
                        "name": "rel",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "type",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "params",
                        "kind": "optional",
                        "type": "map",
                        "description": "",
                        "example": "",
                        "customType": "map<string, string>",
                        "schema": []
                      },
                      {
                        "name": "title",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "uri",
                        "kind": "optional",
                        "type": "string<uri>",
                        "description": "",
                        "format": "uri"
                      }
                    ]
                  }
                ]
              },
              {
                "name": "count",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "",
                "format": "int32"
              },
              {
                "name": "offset",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "",
                "format": "int32"
              },
              {
                "name": "limit",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "",
                "format": "int32"
              }
            ],
            "modelRef": "#/components/schemas/RestCouponCodeStreamingCollection",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "<p>The \"codeAssignment\" parameter is provided simultaneously with the \"mailingId\" or the \"recipientId\", or the limit parameter is invalid. Change the limit to less than 10000.</p>",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "The coupon block could not be found. Ensure that the required parameters such as \"couponBlockId\" are correct and the coupon block exists.",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "409",
        "description": "The coupon block is not assigned to the indicated client. Ensure that \"clientId\" and \"couponBlockId\" are correct and that the \"couponBlockId\" is assigned to the indicated client.",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "3GWQZFvbIP-5MvRn_vTZx",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.campaign.episerver.net/rest/{clientId}/couponblocks/{couponBlockId}/codes \\\n     --header 'accept: application/json'"
        },
        {
          "id": "NT4g6yOjRWV7RRgL_MGmo",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.campaign.episerver.net/rest/{clientId}/couponblocks/{couponBlockId}/codes\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "358UgbMKvCrbFvKxZvv8W",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.campaign.episerver.net/rest/{clientId}/couponblocks/{couponBlockId}/codes\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "2cseYJ9nSMQ_2uLqY2Syx",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.campaign.episerver.net/rest/{clientId}/couponblocks/{couponBlockId}/codes\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "3GWQZFvbIP-5MvRn_vTZx"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// The coupon codes were retrieved successfully (empty result if none was found).\n{\n  \"elements\": [\n    {\n      \"code\": \"\",\n      \"assignedMailing\": \"\",\n      \"assignedRecipient\": \"\",\n      \"assigned\": false,\n      \"used\": false,\n      \"created\": \"\",\n      \"modified\": \"\",\n      \"links\": [\n        {\n          \"uriBuilder\": {},\n          \"rels\": [\n            \"\"\n          ],\n          \"rel\": \"\",\n          \"type\": \"\",\n          \"params\": \"\",\n          \"title\": \"\",\n          \"uri\": \"\"\n        }\n      ]\n    }\n  ],\n  \"count\": \"\",\n  \"offset\": \"\",\n  \"limit\": \"\"\n}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// The \"codeAssignment\" parameter is provided simultaneously with the \"mailingId\" or the \"recipientId\", or the limit parameter is invalid. Change the limit to less than 10000.\n"
        },
        {
          "id": "response-2-404",
          "language": "404",
          "code": "// The coupon block could not be found. Ensure that the required parameters such as \"couponBlockId\" are correct and the coupon block exists.\n"
        },
        {
          "id": "response-3-409",
          "language": "409",
          "code": "// The coupon block is not assigned to the indicated client. Ensure that \"clientId\" and \"couponBlockId\" are correct and that the \"couponBlockId\" is assigned to the indicated client.\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}